Kirjoittaja Aihe: UbuntuStudio 22.10 Salome Meca  (Luettu 2600 kertaa)

koivukoski1

  • Käyttäjä
  • Viestejä: 727
    • Profiili
UbuntuStudio 22.10 Salome Meca
« : 11.12.22 - klo:10.40 »
Asus gaming a15, jossa 22.04 ja 20.04 lopettivat ikäväkseni kirjautumisen sisään.
Asensin sitten 22.10.
Yritän asentaa Salomea...
asensin libqwt-qt5-6, libboot_system, libgdal-grass ja dev:n tuosta.
Nyt ilmoittelee:" import-im6.q16: attempt to perform an operation not allowed by the security policy `PS' @ error/constitute.c/IsCoderAuthorized/421."
Mitän pitäisi tehdä?
Onko onnistuneita asennuksia?

-Koivukoski1

nm

  • Käyttäjä
  • Viestejä: 16283
    • Profiili
Vs: UbuntuStudio 22.10 Salome Meca
« Vastaus #1 : 17.12.22 - klo:10.28 »
Nyt ilmoittelee:" import-im6.q16: attempt to perform an operation not allowed by the security policy `PS' @ error/constitute.c/IsCoderAuthorized/421."
Mitän pitäisi tehdä?

ImageMagickin tietoturvarajoitukset ovat muutettavissa asetustiedostossa /etc/ImageMagick-6/policy.xml

Virheilmoituksen perusteella kyseessä on PostScript (PS) -formaatin oikeudet. Editoi policyä tähän tapaan: https://en.linuxportal.info/tutorials/troubleshooting/how-to-fix-errors-from-imagemagick-imagick-conversion-system-security-policy

koivukoski1

  • Käyttäjä
  • Viestejä: 727
    • Profiili
Vs: UbuntuStudio 22.10 Salome Meca
« Vastaus #2 : 17.12.22 - klo:15.29 »
Kiitos, mutta en saanut Salomea käyntiin.
Ilmoitus katosi, mutta ei käynnisty?

No asensin 22.04:n, nyt
Koodia: [Valitse]
./salome: 15: Syntax error: "(" unexpectedTaidan asentaa vanhemman version.
Jopa palata 20.04?

-Koivukoski1